dbXML API

## com.dbxml.xml
Class SymbolTable

    java.lang.Object
      com.dbxml.xml.SymbolTable

All Implemented Interfaces:
  XMLSerializable

Direct Known Subclasses:
  SymbolTableSymbols

public class SymbolTable
extends java.lang.Object
implements XMLSerializable

SymbolTable is a class that allows the dbXML Compression system to resolve symbol IDs in compression/decompression passes.

Nested Class Summary
`class` `SymbolTable.SymbolInfo`

Constructor Summary
`SymbolTable()`
`SymbolTable(org.w3c.dom.Element elem)`

Method Summary
`long` `getLastModified()`
`static java.lang.String` `getLookupName(QName qname)`
`static QName` `getNormalizedQName(QName qname)`
`static int` `getNormalizedSymbol(SymbolTable symbols, java.lang.String lookup, NamespaceMap nsMap, boolean create)`
`QName` `getQName(int symbol)`
`int` `getSymbol(QName qname)`
`int` `getSymbol(QName qname, boolean create)`
`SymbolTable.SymbolInfo` `getSymbolInfo(int symbol)`
`SymbolTable.SymbolInfo` `getSymbolInfo(QName qname)`
`boolean` `isDirty()`
`void` `setDirty(boolean dirty)`
`void` `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolTable

    public SymbolTable()

### SymbolTable

    public SymbolTable(org.w3c.dom.Element elem)

Method Detail

### getLookupName

    public static final java.lang.String getLookupName(QName qname)

### getNormalizedSymbol

    public static final int getNormalizedSymbol(SymbolTable symbols,
                                                java.lang.String lookup,
                                                NamespaceMap nsMap,
                                                boolean create)

### getNormalizedQName

    public static final QName getNormalizedQName(QName qname)

### isDirty

    public final boolean isDirty()

### setDirty

    public final void setDirty(boolean dirty)

### getSymbolInfo

    public final SymbolTable.SymbolInfo getSymbolInfo(QName qname)

### getSymbol

    public final int getSymbol(QName qname,
                               boolean create)

### getSymbol

    public final int getSymbol(QName qname)

### getSymbolInfo

    public final SymbolTable.SymbolInfo getSymbolInfo(int symbol)

### getQName

    public final QName getQName(int symbol)

### getLastModified

    public final long getLastModified()

### streamToXML

    public final org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                          throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamToXML streams an object to XML.

  Specified by:
    `streamToXML` in interface `XMLSerializable`
  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public final void streamFromXML(org.w3c.dom.Element element)
                             throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamFromXML streams an object from XML.

  Specified by:
    `streamFromXML` in interface `XMLSerializable`
  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

dbXML API

Copyright (c) 2004 The dbXML Group